---
title: key
slug: Web/XPath/Functions/key
tags:
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }}</p>

<p><br>
 The <code>key</code> function returns a node-set of nodes that have the given value for the given key.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="eval">key(<em>keyname</em> ,<em>value</em> )
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><code><em>keyname</em></code></dt>
 <dd>A string containing the name of the <code><a href="en/XSLT/key"> xsl:key</a></code> element to be used.</dd>
</dl>

<dl>
 <dt><code><em>value</em></code></dt>
 <dd>The returned node-set will contain every node that has this value for the given key.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A node set.</p>

<h3 id="Notes">Notes</h3>

<ul>
 <li>The <code><a href="en/XSLT/key"> xsl:key</a></code> element defines what attribute on what given elements will be used to match the key.</li>
</ul>

<p>This function is an XSLT-specific addition to XPath. It is not a part of the core XPath function library.</p>

<h3 id="Defined">Defined</h3>

<p><a class="external" href="http://www.w3.org/TR/xslt#function-key">XSLT 1.0 12.2</a></p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
